Skip to main content
GET
Get process by identifier

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

identifier
string
required

Process identifier (PID or name)

Response

Process information

command
string
required
Example:

"ls -la"

completedAt
string
required
Example:

"Wed, 01 Jan 2023 12:01:00 GMT"

exitCode
integer
required
Example:

0

logs
string
required
Example:

"logs output"

name
string
required
Example:

"my-process"

pid
string
required
Example:

"1234"

startedAt
string
required
Example:

"Wed, 01 Jan 2023 12:00:00 GMT"

status
enum<string>
required
Available options:
failed,
killed,
stopped,
running,
completed
Example:

"running"

stderr
string
required
Example:

"stderr output"

stdout
string
required
Example:

"stdout output"

workingDir
string
required
Example:

"/home/user"

keepAlive
boolean

Whether scale-to-zero is disabled for this process

Example:

false

maxRestarts
integer
Example:

3

restartCount
integer
Example:

2

restartOnFailure
boolean
Example:

true

Last modified on June 16, 2026